<?php
if ((!isset($_SERVER['PHP_AUTH_USER'])) &&
    (!isset($_SERVER['PHP_AUTH_PW'])) &&
    (substr($_SERVER['HTTP_AUTHORIZATION'], 0, 6) == 'Basic ')
   ) {

  list($_SERVER['PHP_AUTH_USER'], $_SERVER['PHP_AUTH_PW']) =
    explode(':', base64_decode(substr($_SERVER['HTTP_AUTHORIZATION'], 6)));
}

// to wyrażenie warunkowe można zastąpić np. zapytaniem do bazy danych
if (($_SERVER['PHP_AUTH_USER'] != 'uzytkownik') ||
    ($_SERVER['PHP_AUTH_PW'] != 'haslo')) {
  
  // użytkownik nie podał żadnych danych albo
  // podany identyfikator lub hasło są nieprawidłowe

  header('WWW-Authenticate: Basic realm="Strefa chroniona"');
  header('Status: 401 Unauthorized');
} else {
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>Zastrzeżona strona</title>
</head>
<body>
<?php

echo '<h1>Oto ona!</h1>
      <p>Na pewno jesteś szczęśliwy, że możesz zobaczyć tę stronę.</p>';      
}
?>
</body>
</html>
